Name:		HamFax
Version:	0.6.4
Release:	5%{?dist}
Summary:	HamFax is an application for sending and receiving facsimiles in amateur radio      

Group:		Applications/Communications  
License:	GPLv2+ 
URL:		http://hamfax.sourceforge.net/
Source0:	http://downloads.sourceforge.net/hamfax/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-%{version}-configure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	audiofile-devel
BuildRequires:	qt-devel
BuildRequires:	qt3-devel
BuildRequires:	libXmu-devel
BuildRequires:	libX11-devel
BuildRequires:	desktop-file-utils

%description
HamFax is an application for sending and receiving facsimiles in
amateur radio and for receiving public facsimile broadcasts like
weather maps. Supported interfaces are sound cards and the SCS-PTCII
from Special Communication Systems.

%prep
%setup -q
%patch0 -p1 -b %{name}-%{vesrion}-configure.patch

%build
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cp hamfax ${RPM_BUILD_ROOT}%{_bindir}/hamfax
 mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
# No upstream icon so we'll use a temporary icon
 cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
 desktop-file-install --vendor="fedora" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor="fedora" obsolete per new guidelines but already existed in orignal file.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.html
%{_datadir}/%{name}/hamfax_de.qm
%{_bindir}/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> - 0.6.4-3
- Fix unowned directories Bug #483319
- Fix .desktop file

* Tue Oct 14 2008 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> 0.6.4-2
- Add patch to allow build on x86_64
- Edit spec per review
- rpmlint = pass
- rpmbuild = pass
- mock build = 9, rawhide (i386)

* Sun Sep 28 2008 Randall J. Berry 'Dp67' <randyn3lrx@gmail.com> 0.6.4-1
- Initial Spec
- rpmlint = pass
- rpmbuild = pass
- mock build = pass
